Bug 1659378 - posix_janitor_thread_proc has bug that can't go into the janitor_walker if change the system time forward and change back
Summary: posix_janitor_thread_proc has bug that can't go into the janitor_walker if ch...
Keywords:
Status: NEW
Alias: None
Product: GlusterFS
Classification: Community
Component: posix
Version: 3.12
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
Assignee: Raghavendra Bhat
QA Contact:
URL:
Whiteboard:
: 1659371 1659374 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-14 08:24 UTC by lideqian
Modified: 2019-08-31 18:00 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)
this '((now - priv->last_landfill_check) > priv->janitor_sleep_duration)' should change to if ( now < priv->last_landfill_check ||(now - priv->last_landfill_check) > priv->janitor_sleep_duration) (1.55 KB, text/plain)
2018-12-14 08:24 UTC, lideqian
no flags Details

Description lideqian 2018-12-14 08:24:11 UTC
Created attachment 1514311 [details]
this '((now - priv->last_landfill_check) > priv->janitor_sleep_duration)' should change to if ( now < priv->last_landfill_check ||(now - priv->last_landfill_check) > priv->janitor_sleep_duration)

Description of problem:

gluster volume heal xx info show stale gfid file for long time (maybe several days)
Version-Release number of selected component (if applicable):
glusterfs 3.12.3

How reproducible:


Steps to Reproduce:
0.do I/O
1.ssh to storage node and change the system time forward 5 days like to 2018/12/19
2.change the time back to normal
3.check the gluster volume heal xx info

Actual results:
there is stale gfid file for long time

Expected results:
no stale gfid file for long time

Additional info:

Comment 1 Yaniv Kaul 2019-04-17 12:27:47 UTC
*** Bug 1659374 has been marked as a duplicate of this bug. ***

Comment 2 Yaniv Kaul 2019-04-17 12:27:58 UTC
*** Bug 1659371 has been marked as a duplicate of this bug. ***

Comment 3 Amar Tumballi 2019-06-17 05:11:39 UTC
Marking the issue as low priority right now, as the usecase of changing system is not considered critical.

This can happen because we keep the timestamp comparison with epoch values, and once a value is set for higher value, it won't be passing the if condition in case the time is reset back.

Best scenario at that time is to restart the brick process.


Note You need to log in before you can comment on or make changes to this bug.